<template name="Cart">
  <div class="cart-manager hidden-by-default">
    <div class="overlay" data-view-action="close-cart-manager"></div>
    <div class="arrow-up"></div>
    <div class="cart-bubble">
      <h3>Votre panier</h3>
      <div class="entries">
        {{#each entries}}
          {{> CartEntry}}
        {{/each}}
      </div>
      <p class="total-price">
        Total: {{ totalPrice }}€
      </p>
      <p class="actions">
        <button type="button" class="clear" data-action="clear-cart">Vider</button>
        <span></span>
        <button type="button" class="order" data-action="order-cart">Commander</button>
      </p>
    </div>
  </div>
</template>

<template name="CartEntry">
  <p>
    <span>
      <div class="cart-article-image" style="background-image: url('{{ image.link }}')"></div>
    </span>
    <span class="cart-article-quantity">
      <div class="quantity-arrow">
        {{#unless isAtMaximumQuantity}}
          <i class="quantity-arrow fa fa-angle-up" data-action="increment-quantity"></i>
        {{else}}
          &nbsp;
        {{/unless}}
      </div>
      <br>
      <div class="quantity">
        {{ quantity }}
      </div>
      <br>
      <div class="quantity-arrow">
        {{#unless isAtMinimumQuantity}}
          <i class="fa fa-angle-down" data-action="decrement-quantity"></i>
        {{else}}
          &nbsp;
        {{/unless}}
      </div>
    </span>
    <span class="cart-article-name">
      <a href="{{ pathFor 'articleSlug' article.slug }}">
        {{ article.name }}
      </a>
    </span>
    <span class="cart-article-price">
      {{#if hasPromotions}}
        <span class="article-discount">
          -{{ totalDiscount }}%
        </span>
      {{/if}}
      <i class="fa fa-trash" data-action="remove-cart-entry"></i><br>
        {{#if hasPromotions}}
          <del>{{ price }}€</del><br>
          {{ discountedPrice }}€
        {{else}}
          {{ price }}€
        {{/if}}
    </span>
  </p>
</template>
